<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<groupId>id.co.telkomsigma.btpns</groupId>
	<artifactId>btpns-mprospera-mappingProduct</artifactId>
	<packaging>pom</packaging>
	<version>3.0-SNAPSHOT</version>
	<modules>
		<module>common-and-model</module>
		<module>manager</module>
		<module>controller</module>
	</modules>

	<properties>
		<!-- LIBRARY VERSION PROPERTIES -->
		<apache.cxf.version>2.7.7</apache.cxf.version>
		<activemq.version>5.9.1</activemq.version>
		<bsf.version>2.4.0</bsf.version>
		<commons-fileupload.version>1.3</commons-fileupload.version>
		<commons-io.version>2.1</commons-io.version>
		<commons-lang.version>2.6</commons-lang.version>
		<google-kaptcha.version>2.3.2</google-kaptcha.version>
		<java.version>1.8</java.version>
		<maven-compiler-plugin.version>3.1</maven-compiler-plugin.version>
		<org.codehaus.jackson.version>2.6.5</org.codehaus.jackson.version>
		<org.neo4j.version>2.1.5</org.neo4j.version>
		<spring-boot.version>1.5.2.RELEASE</spring-boot.version>
		<spring-loaded.version>1.2.5.RELEASE</spring-loaded.version>
		<spring-boot-maven.version>1.3.5.RELEASE</spring-boot-maven.version>
		<spring-session.version>1.3.0.RELEASE</spring-session.version>
		<thymeleaf.version>2.1.4.RELEASE</thymeleaf.version>
		<thymeleaf-security.version>2.1.2.RELEASE</thymeleaf-security.version>
		<xalan.version>2.7.1</xalan.version>
		<scala-library.version>2.10.4</scala-library.version>
		<bcpg-jdk16.version>1.46</bcpg-jdk16.version>
		<bcpg-jdk15on.version>1.47</bcpg-jdk15on.version>
		<commons-codec.version>1.10</commons-codec.version>
		<commons-lang3.version>3.4</commons-lang3.version>
		<java.jms.version>1.1</java.jms.version>
		<hazelcastmq-jms.version>1.4.0</hazelcastmq-jms.version>
		<hazelcastmq-core.version>1.4.0</hazelcastmq-core.version>
		<jgroups.version>3.6.4.Final</jgroups.version>
		<neo4j-cypher-compiler-2.2.version>2.2.5</neo4j-cypher-compiler-2.2.version>
		<quartz.version>2.2.1</quartz.version>
		<spring-support.version>1.2.9</spring-support.version>
		<poi.version>3.13</poi.version>
		<commons-httpclient.version>3.1</commons-httpclient.version>
		<spring-batch-integration.version>3.0.7.RELEASE</spring-batch-integration.version>
		<commons-validator.version>1.5.0</commons-validator.version>
		<jasperreports.version>6.3.1</jasperreports.version>

		<failOnMissingWebXml>false</failOnMissingWebXml>

		<!-- DEFAULT DEVELOPMENT PROPERTIES -->
		<jdbc.connection.driverClassName>spring.datasource.driverClassName=com.microsoft.sqlserver.jdbc.SQLServerDriver</jdbc.connection.driverClassName>
		<jdbc.connection.initialize>spring.datasource.initialize=true</jdbc.connection.initialize>
		<jdbc.connection.maxActive>spring.datasource.maxActive=100</jdbc.connection.maxActive>
		<jdbc.connection.maxIdle>spring.datasource.maxIdle=20</jdbc.connection.maxIdle>
		<jdbc.connection.maxWait>spring.datasource.maxWait=1000</jdbc.connection.maxWait>
		<jdbc.connection.password>spring.datasource.username=sa</jdbc.connection.password>
		<jdbc.connection.username>spring.datasource.password=P@ssw0rd.1</jdbc.connection.username>
		<jdbc.connection.url>spring.datasource.url=jdbc:sqlserver://10.7.17.103:1433;databaseName=mprospera;integratedSecurity=false;</jdbc.connection.url>
		<jdbc.connection.validationInterval>spring.datasource.validationInterval=100</jdbc.connection.validationInterval>
		<jdbc.connection.testWhileIdle>spring.datasource.testWhileIdle=true</jdbc.connection.testWhileIdle>
		<jdbc.connection.jndi-name></jdbc.connection.jndi-name>
		<jdbc.connection.expected-type></jdbc.connection.expected-type>

		<jdbc.connection.hibernate.show_sql>true</jdbc.connection.hibernate.show_sql>
		<jdbc.connection.hibernate.ddl-auto>update</jdbc.connection.hibernate.ddl-auto>

		<jdbc.connection.hibernate.dialect>org.hibernate.dialect.SQLServer2012Dialect</jdbc.connection.hibernate.dialect>
		<jdbc.dependency.artifactId>sqljdbc4</jdbc.dependency.artifactId>
		<jdbc.dependency.groupId>com.microsoft.sqlserver</jdbc.dependency.groupId>
		<jdbc.dependency.version>4.0</jdbc.dependency.version>
		<mail.debug>false</mail.debug>
		<mail.default-encoding>UTF-8</mail.default-encoding>
		<mail.host></mail.host>
		<mail.password></mail.password>
		<mail.port></mail.port>
		<mail.port></mail.port>
		<mail.smtp.auth>true</mail.smtp.auth>
		<mail.smtp.ssl.enable>false</mail.smtp.ssl.enable>
		<mail.transport.protocol>smtp</mail.transport.protocol>
		<mail.username></mail.username>
		<mail.reply.to.customer.registration></mail.reply.to.customer.registration>
		<mail.sender.customer.registration></mail.sender.customer.registration>
		<logging.path>../log/</logging.path>
		<logging.hibernate.level>ERROR</logging.hibernate.level>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<reset.password.link.expiry.hours>1</reset.password.link.expiry.hours>
		<spring.thymeleaf.cache>true</spring.thymeleaf.cache>
		<thread-pool.core.pool.size>100</thread-pool.core.pool.size>
		<thread-pool.max.pool.size>1000</thread-pool.max.pool.size>
		<thread-pool.queue.capacity>1</thread-pool.queue.capacity>

		<spring.cloud>1.2.6.RELEASE</spring.cloud>
		<jersey.version>1.13</jersey.version>

		<!-- APPLICATION FINAL NAME -->
		<web-gui.finalName>wolverine</web-gui.finalName>
	</properties>

	<dependencyManagement>
		<dependencies>
			<!-- SPRING-BOOT ... -->
			<dependency>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-starter-parent</artifactId>
				<type>pom</type>
				<version>${spring-boot.version}</version>
				<scope>import</scope>
			</dependency>

			<dependency>
				<groupId>org.springframework.session</groupId>
				<artifactId>spring-session</artifactId>
				<version>${spring-session.version}</version>
			</dependency>

			<!-- THYMELEAF -->
			<dependency>
				<groupId>org.thymeleaf.extras</groupId>
				<artifactId>thymeleaf-extras-springsecurity4</artifactId>
				<version>${thymeleaf-security.version}</version>
			</dependency>
			<!-- GOOGLE KAPTCHA -->
			<dependency>
				<groupId>com.github.penggle</groupId>
				<artifactId>kaptcha</artifactId>
				<version>2.3.2</version>
			</dependency>
			<!-- APACHE COMMON FILE UPLOAD -->
			<dependency>
				<groupId>commons-fileupload</groupId>
				<artifactId>commons-fileupload</artifactId>
				<version>${commons-fileupload.version}</version>
			</dependency>
			<!-- APACHE COMMON LANG -->
			<dependency>
				<groupId>commons-lang</groupId>
				<artifactId>commons-lang</artifactId>
				<version>${commons-lang.version}</version>
			</dependency>
			<!-- APACHE CXF -->
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-frontend-jaxws</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-transports-http</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.neo4j</groupId>
				<artifactId>neo4j-cypher-compiler-2.1</artifactId>
				<version>${org.neo4j.version}</version>
			</dependency>
			<dependency>
				<groupId>commons-io</groupId>
				<artifactId>commons-io</artifactId>
				<version>${commons-io.version}</version>
			</dependency>
			<dependency>
				<groupId>xalan</groupId>
				<artifactId>xalan</artifactId>
				<version>${xalan.version}</version>
			</dependency>
			<dependency>
				<groupId>bsf</groupId>
				<artifactId>bsf</artifactId>
				<version>${bsf.version}</version>
			</dependency>

			<dependency>
				<groupId>org.scala-lang</groupId>
				<artifactId>scala-library</artifactId>
				<version>${scala-library.version}</version>
			</dependency>
			<dependency>
				<groupId>org.bouncycastle</groupId>
				<artifactId>bcpg-jdk15on</artifactId>
				<version>${bcpg-jdk15on.version}</version>
			</dependency>
			<dependency>
				<groupId>commons-codec</groupId>
				<artifactId>commons-codec</artifactId>
				<version>${commons-codec.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-lang3</artifactId>
				<version>${commons-lang3.version}</version>
			</dependency>
			<dependency>
				<groupId>org.mpilone.hazelcastmq</groupId>
				<artifactId>hazelcastmq-core</artifactId>
				<version>${hazelcastmq-core.version}</version>
			</dependency>
			<dependency>
				<groupId>org.mpilone.hazelcastmq</groupId>
				<artifactId>hazelcastmq-jms</artifactId>
				<version>${hazelcastmq-jms.version}</version>
			</dependency>
			<dependency>
				<groupId>javax.jms</groupId>
				<artifactId>jms</artifactId>
				<version>${java.jms.version}</version>
			</dependency>
			<dependency>
				<groupId>org.jgroups</groupId>
				<artifactId>jgroups</artifactId>
				<version>${jgroups.version}</version>
			</dependency>
			<dependency>
				<groupId>org.neo4j</groupId>
				<artifactId>neo4j-cypher-compiler-2.2</artifactId>
				<version>${neo4j-cypher-compiler-2.2.version}</version>
			</dependency>
			<dependency>
				<groupId>org.quartz-scheduler</groupId>
				<artifactId>quartz</artifactId>
				<version>${quartz.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-support</artifactId>
				<version>${spring-support.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.poi</groupId>
				<artifactId>poi</artifactId>
				<version>${poi.version}</version>
			</dependency>
			<dependency>
				<groupId>commons-httpclient</groupId>
				<artifactId>commons-httpclient</artifactId>
				<version>${commons-httpclient.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework.batch</groupId>
				<artifactId>spring-batch-integration</artifactId>
				<version>${spring-batch-integration.version}</version>
			</dependency>
			<dependency>
				<groupId>commons-validator</groupId>
				<artifactId>commons-validator</artifactId>
				<version>${commons-validator.version}</version>
			</dependency>
			<dependency>
				<groupId>net.sf.jasperreports</groupId>
				<artifactId>jasperreports</artifactId>
				<version>${jasperreports.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework.cloud</groupId>
				<artifactId>spring-cloud-starter-eureka</artifactId>
				<version>${spring.cloud}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework.cloud</groupId>
				<artifactId>spring-cloud-starter-feign</artifactId>
				<version>${spring.cloud}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework.cloud</groupId>
				<artifactId>spring-cloud-starter-hystrix</artifactId>
				<version>${spring.cloud}</version>
			</dependency>
			<dependency>
				<groupId>com.sun.jersey</groupId>
				<artifactId>jersey-json</artifactId>
				<version>${jersey.version}</version>
			</dependency>
			<dependency>
				<groupId>com.sun.jersey</groupId>
				<artifactId>jersey-servlet</artifactId>
				<version>${jersey.version}</version>
			</dependency>
			<dependency>
				<groupId>com.sun.jersey</groupId>
				<artifactId>jersey-server</artifactId>
				<version>${jersey.version}</version>
			</dependency>
		</dependencies>
	</dependencyManagement>

	<distributionManagement>
		<repository>
			<id>local-repo</id>
			<name>BTPNS Repo</name>
			<url>http://10.7.17.70:8086/nexus/content/repositories/local-repo/</url>
		</repository>
		<snapshotRepository>
			<id>local-repo</id>
			<name>BTPNS Snapshot</name>
			<url>http://10.7.17.70:8086/nexus/content/repositories/snapshots/</url>
		</snapshotRepository>
	</distributionManagement>

	<build>
		<finalName>${web-gui.finalName}</finalName>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>${maven-compiler-plugin.version}</version>
				<configuration>
					<source>${java.version}</source>
					<target>${java.version}</target>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.jboss.as.plugins</groupId>
				<artifactId>jboss-as-maven-plugin</artifactId>
				<version>7.9.Final</version>
				<configuration>
					<hostname>${jboss6.hostname}</hostname>
					<username>${jboss6.username}</username>
					<password>${jboss6.password}</password>
					<domain>
						<serverGroups>${jboss6.server-group}</serverGroups>
					</domain>
				</configuration>
			</plugin>
		</plugins>
	</build>

	<profiles>
		<profile>
			<id>development</id>
			<properties>
				<jdbc.connection.driverClassName>spring.datasource.driverClassName=com.microsoft.sqlserver.jdbc.SQLServerDriver</jdbc.connection.driverClassName>
				<jdbc.connection.initialize>spring.datasource.initialize=true</jdbc.connection.initialize>
				<jdbc.connection.maxActive>spring.datasource.maxActive=100</jdbc.connection.maxActive>
				<jdbc.connection.maxIdle>spring.datasource.maxIdle=20</jdbc.connection.maxIdle>
				<jdbc.connection.maxWait>spring.datasource.maxWait=1000</jdbc.connection.maxWait>
				<jdbc.connection.password>spring.datasource.username=mprosperaplus</jdbc.connection.password>
				<jdbc.connection.username>spring.datasource.password=sigma123</jdbc.connection.username>
				<jdbc.connection.url>spring.datasource.url=jdbc:sqlserver://10.10.105.35:1433;databaseName=mprosperaplus;integratedSecurity=false;</jdbc.connection.url>
				<jdbc.connection.validationQuery>spring.datasource.validationQuery=select
					1</jdbc.connection.validationQuery>
				<jdbc.connection.validationInterval>spring.datasource.validationInterval=100</jdbc.connection.validationInterval>
				<jdbc.connection.testWhileIdle>spring.datasource.testWhileIdle=true</jdbc.connection.testWhileIdle>
				<jdbc.connection.jndi-name></jdbc.connection.jndi-name>
				<jdbc.connection.expected-type></jdbc.connection.expected-type>

				<jdbc.connection2.driverClassName>spring.mysqlDatasource.driverClassName=com.mysql.jdbc.Driver</jdbc.connection2.driverClassName>
				<jdbc.connection2.initialize>spring.mysqlDatasource.initialize=true</jdbc.connection2.initialize>
				<jdbc.connection2.maxActive>spring.mysqlDatasource.maxActive=100</jdbc.connection2.maxActive>
				<jdbc.connection2.maxIdle>spring.mysqlDatasource.maxIdle=20</jdbc.connection2.maxIdle>
				<jdbc.connection2.maxWait>spring.mysqlDatasource.maxWait=1000</jdbc.connection2.maxWait>
				<jdbc.connection2.password>spring.mysqlDatasource.username=prospera</jdbc.connection2.password>
				<jdbc.connection2.username>spring.mysqlDatasource.password=P@ssw0rd!</jdbc.connection2.username>
				<jdbc.connection2.url>spring.mysqlDatasource.url=jdbc:mysql://10.7.17.102:3306/prospera?autoReconnect=true&amp;maxReconnects=5</jdbc.connection2.url>
				<jdbc.connection2.validationQuery>spring.mysqlDatasource.validationQuery=select
					1</jdbc.connection2.validationQuery>
				<jdbc.connection2.validationInterval>spring.mysqlDatasource.validationInterval=100</jdbc.connection2.validationInterval>
				<jdbc.connection2.testWhileIdle>spring.mysqlDatasource.testWhileIdle=true</jdbc.connection2.testWhileIdle>
				<jdbc.connection2.jndi-name></jdbc.connection2.jndi-name>
				<jdbc.connection2.expected-type></jdbc.connection2.expected-type>
				<authentication.mode>local</authentication.mode>
				<wolverine.server.port>${instance.server.port}</wolverine.server.port>
				<wolverine.hazelcast.ip>${instance.hazelcast.ip}</wolverine.hazelcast.ip>
				<wolverine.eureka.ip>${instance.eureka.ip}</wolverine.eureka.ip>
			</properties>
		</profile>
		<profile>
			<id>production</id>
			<properties>
				<jdbc.connection.driverClassName></jdbc.connection.driverClassName>
				<jdbc.connection.initialize></jdbc.connection.initialize>
				<jdbc.connection.maxActive></jdbc.connection.maxActive>
				<jdbc.connection.maxIdle></jdbc.connection.maxIdle>
				<jdbc.connection.maxWait></jdbc.connection.maxWait>
				<jdbc.connection.password></jdbc.connection.password>
				<jdbc.connection.username></jdbc.connection.username>
				<jdbc.connection.url></jdbc.connection.url>
				<jdbc.connection.validationQuery></jdbc.connection.validationQuery>
				<jdbc.connection.validationInterval></jdbc.connection.validationInterval>
				<jdbc.connection.testWhileIdle></jdbc.connection.testWhileIdle>
				<jdbc.connection.jndi-name>spring.datasource.jndi-name=java:jboss/datasources/mprosperaDS</jdbc.connection.jndi-name>
				<jdbc.connection.expected-type>spring.datasource.expected-type=javax.sql.DataSource</jdbc.connection.expected-type>

				<jdbc.connection2.driverClassName></jdbc.connection2.driverClassName>
				<jdbc.connection2.initialize></jdbc.connection2.initialize>
				<jdbc.connection2.maxActive></jdbc.connection2.maxActive>
				<jdbc.connection2.maxIdle></jdbc.connection2.maxIdle>
				<jdbc.connection2.maxWait></jdbc.connection2.maxWait>
				<jdbc.connection2.password></jdbc.connection2.password>
				<jdbc.connection2.username></jdbc.connection2.username>
				<jdbc.connection2.url></jdbc.connection2.url>
				<jdbc.connection2.validationQuery></jdbc.connection2.validationQuery>
				<jdbc.connection2.validationInterval></jdbc.connection2.validationInterval>
				<jdbc.connection2.testWhileIdle></jdbc.connection2.testWhileIdle>
				<jdbc.connection2.jndi-name>spring.mysqlDatasource.jndi-name=java:jboss/datasources/prosperaDS</jdbc.connection2.jndi-name>
				<jdbc.connection2.expected-type>spring.mysqlDatasource.expected-type=javax.sql.DataSource</jdbc.connection2.expected-type>

				<jdbc.connection.hibernate.show_sql>true</jdbc.connection.hibernate.show_sql>
				<jdbc.connection.hibernate.ddl-auto>update</jdbc.connection.hibernate.ddl-auto>
				<spring.thymeleaf.cache>true</spring.thymeleaf.cache>
				<hazelcast.embedded>true</hazelcast.embedded>
				<authentication.mode>esb</authentication.mode>
				<wolverine.server.port>${instance.server.port}</wolverine.server.port>
				<wolverine.hazelcast.ip>${instance.hazelcast.ip}</wolverine.hazelcast.ip>
				<wolverine.eureka.ip>${instance.eureka.ip}</wolverine.eureka.ip>
			</properties>
		</profile>
	</profiles>
</project>